rte_flow_field_data(3)

NAME
rte_flow_field_data

SYNOPSIS

#include <rte_flow.h>

  Data Fields

enum rte_flow_field_id field

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice.

Packet header field descriptions, used by RTE_FLOW_ACTION_TYPE_MODIFY_FIELD and RTE_FLOW_ITEM_TYPE_COMPARE.

Definition at line 2449 of file rte_flow.h.

Field Documentation

  enum rte_flow_field_id field
Field or memory type ID.

Definition at line 2450 of file rte_flow.h.

  uint8_t level
Packet encapsulation level containing the field to modify.

•   0 requests the default behavior. Depending on the packet type, it can mean outermost, innermost or anything in between.

It basically stands for the innermost encapsulation level. Modification can be performed according to PMD and device capabilities.

•   1 requests modification to be performed on the outermost packet encapsulation level.

•   2 and subsequent values request modification to be performed on the specified inner packet encapsulation level, from outermost to innermost (lower to higher values).

Values other than 0 are not necessarily supported.

Note
    that for MPLS field, encapsulation level also include tunnel since MPLS may appear in outer, inner or tunnel.

Definition at line 2490 of file rte_flow.h.

  uint8_t tag_index
Tag index array inside encapsulation level. Used for VLAN, MPLS or TAG types.

Definition at line 2497 of file rte_flow.h.

  uint8_t type
Geneve option type.

Definition at line 2508 of file rte_flow.h.

  rte_be16_t class_id
Geneve option class.

Definition at line 2512 of file rte_flow.h.

  uint32_t offset
Number of bits to skip from a field.

Definition at line 2519 of file rte_flow.h.

  uint8_t value[16]
Immediate value for RTE_FLOW_FIELD_VALUE, presented in the same byte order and length as in relevant rte_flow_item_xxx. The immediate source bitfield offset is inherited from the destination's one.

Definition at line 2527 of file rte_flow.h.

  void* pvalue
Memory address for RTE_FLOW_FIELD_POINTER, memory layout should be the same as for relevant field in the rte_flow_item_xxx structure.

Definition at line 2533 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.